Bug 18237 - PCMCIA Token-Ring broken?
PCMCIA Token-Ring broken?
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2000-10-03 12:16 EDT by Ian Pilcher
Modified: 2007-04-18 12:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-15 22:58:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2000-10-03 12:16:56 EDT
Hardware:  IBM ThinkPad 770Z, IBM Turbo 16/4 Token-Ring PCMCIA adapter

After upgrading from Red Hat 6.2 to 7.0, inserting the Token-Ring adapter
fails with the following error message:

    ibmtr_cs: register_trdev() failed
    tr0: Unexpected interrupt from tr adapter

I have verified that the ibmtr_cs line in /etc/pcmcia/config.opts has not
been changed.

I have rebuilt the kernel RPMs with PCMCIA 3.1.20 and the latest Token-Ring
driver (http://www.ibmtr.net/download/ibmtr_cs-2.2.17-2.tgz), and it works
once the ibmtr_cs line is completely commented out of

(BTW, the sard patch has a reference to the pcmcia-cs-3.1.19 directory
"hardcoded" in it.  To avoid this problem in the future, I suggest that the
kernel build process be changed to rename
$RPM_BUILD_DIR/linux/pcmcia-cs-%{pcmciaver}/ to
$RPM_BUILD_DIR/linux/pcmcia-cs/.  This would allow large patches such as
the sard patch to be "independent" of the PCMCIA version.)
Comment 1 Alan Cox 2002-12-15 22:58:13 EST
Seems ok in modern RH

Note You need to log in before you can comment on or make changes to this bug.